Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230889 - Segfaults when moving window
Summary: Segfaults when moving window
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chip Coldwell
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-04 10:44 UTC by Kasper Dupont
Modified: 2008-05-06 19:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 19:18:28 UTC


Attachments (Terms of Use)

Description Kasper Dupont 2007-03-04 10:44:16 UTC
Description of problem:
Sometimes emacs dies with a segmentation fault, if I move the window to a
different place on the screen while emacs is starting up.

Version-Release number of selected component (if applicable):
emacs-21.4-14

How reproducible:
Not easy to reproduce, but has happened more than once to me. It has also
happened with older versions of emacs.

Steps to Reproduce:
1. Start emacs
2. Before emacs finish starting up move the window
  
Actual results:
Emacs segfaults

Expected results:
Emacs does not segfault

Additional info:
I don't know if the fact that the window was dragged a little bit beyond the
border of the screen made any difference.

Program terminated with signal 11, Segmentation fault.
#0  0x00786402 in ?? ()
(gdb) bt
#0  0x00786402 in ?? ()
#1  0x00b522d6 in ?? ()
#2  0x080df149 in ?? ()
#3  0x00001747 in ?? ()
#4  0x0000000b in ?? ()
#5  0x00000000 in ?? ()

Comment 1 Chip Coldwell 2007-04-05 20:24:25 UTC
(In reply to comment #0)
> 
> I don't know if the fact that the window was dragged a little bit beyond the
> border of the screen made any difference.
> 
> Program terminated with signal 11, Segmentation fault.
> #0  0x00786402 in ?? ()
> (gdb) bt
> #0  0x00786402 in ?? ()
> #1  0x00b522d6 in ?? ()
> #2  0x080df149 in ?? ()
> #3  0x00001747 in ?? ()
> #4  0x0000000b in ?? ()
> #5  0x00000000 in ?? ()

Can you provide a core dump?

Chip


Comment 2 Steve Conklin 2007-06-29 16:20:00 UTC
I also observed this on RHEL5, with emacs-21.4-18.1.el5. I didn't get a core
dump, but if I do I'll open a bz for rhel5.

Comment 3 Chip Coldwell 2007-06-29 17:04:07 UTC
(In reply to comment #2)
> I also observed this on RHEL5, with emacs-21.4-18.1.el5. I didn't get a core
> dump, but if I do I'll open a bz for rhel5.

Post a core dump if you can.

Chip


Comment 4 Kasper Dupont 2007-07-08 14:57:00 UTC
Just happened with emacs-21.4-17.3.fc6, but since the core size defaults to
zero, I didn't get any core dump.

Comment 5 Chip Coldwell 2007-07-09 13:53:25 UTC
(In reply to comment #4)
> Just happened with emacs-21.4-17.3.fc6, but since the core size defaults to
> zero, I didn't get any core dump.

ulimit -c 10000000

Comment 6 Kasper Dupont 2007-07-09 18:43:50 UTC
I tried that a few times, and it didn't crash. Then went back to trying without,
it still didn't crash, but after a few tries I got this error message:
File mode specification error: (invalid-function 67108901)
and syntax highlighting didn't work.

Comment 7 Steve Conklin 2007-08-13 15:56:07 UTC
It just crashed again and I have the core. Where can I put it for you?

Version:
emacs-21.4-18.1.el5 on RHEL5


Comment 8 Steve Conklin 2007-08-13 15:58:12 UTC
Oh, and not that it matters, but I was running it detached: emacs filename &

Comment 9 Chip Coldwell 2007-08-13 18:46:24 UTC
If you(In reply to comment #7)
> It just crashed again and I have the core. Where can I put it for you?

If you can attach the core to this bugzilla (MIME type application/octet-stream)
that would be great.

Chip



Comment 10 Bug Zapper 2008-04-04 06:26:28 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 11 Bug Zapper 2008-05-06 19:18:26 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.